/*-------------------------------------------------------------------
Name......... game.h
Author....... Marc Adams
Date......... 15/09/03
Description.. Header file for the game
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/


/*******************************************************************************
*								Definitions
*******************************************************************************/

										/* defines for the memory address to
										   the cremson memory.  The first two
										   entries are for the screen video RAM
										   followed by the graphics. */
	enum
	{
		S1_BASE_MEMORY,
		S1_MIDDLE_MEMORY,
		S1_SCRATCH_MEMORY,

		S1_FIRST_GRAPHIC,

		S1_BACKGROUND = S1_FIRST_GRAPHIC,

		S1_REEL1,

		S1_LAST_GRAPHIC,

		S1_TOTAL_GRAPHICS
	};


	enum
	{
		S2_BASE_MEMORY,
		S2_MIDDLE_MEMORY,
		S2_SCRATCH_MEMORY,

		S2_FIRST_GRAPHIC,

		S2_BACKGROUND = S2_FIRST_GRAPHIC,

		S2_REEL6,

		S2_LAST_GRAPHIC,


		S2_TOTAL_GRAPHICS
	};

#include	"game.p"

/********************************************************************/
